﻿@using PhotoContest.Domain.ViewModels.ContestViewModels;
@using PhotoContest.Domain.Enums
@model ContestGetViewModel

@{ ViewData["Title"] = "Contests";
    bool alreadyParticipate = (bool)TempData["AlreadyParticipate"];
    bool currentuser = (bool)TempData["currentUserRole"];}

<div class="section-title">
    <h2>@Model.Title</h2>
</div>
<div class="row">
    <div class="col">

    <a class="btn btn-primary" asp-controller="Photos" asp-action="Create"
       asp-route-contestId="@Model.Id">Participate</a>

        <p id="timer" class="col-sm-7" style="width:50%; align-content:center; color: #ed502e; font-size:25px;height: 36px;width:800px"></p>
        @if (currentuser)
        {
    <a class="btn btn-primary" asp-controller="Photos" asp-action="AllPhotos" asp-route-contestId="@Model.Id">Uploaded Photos for contest</a>}
        @if (Model.Phase == Stage.Finished)
        {

    <form asp-controller="Contests" asp-action="FinishContest" asp-route-contestId="@Model.Id" method="post">

        <div class="form-group">
            <input type="submit" value="Finish" class="btn btn-primary" />
        </div>
    </form>}



